Bug 678699 - Review Request: vdrsymbol-fonts - Font for use with VDR plugins and patches
Summary: Review Request: vdrsymbol-fonts - Font for use with VDR plugins and patches
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 21:59 UTC by Ville Skyttä
Modified: 2011-05-03 04:50 UTC (History)
3 users (show)

Fixed In Version: vdrsymbol-fonts-20100612-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-03 04:50:24 UTC
mario.blaettermann: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Ville Skyttä 2011-02-18 21:59:59 UTC
http://scop.fedorapeople.org/packages/vdrsymbol-fonts.spec
http://scop.fedorapeople.org/packages/vdrsymbol-fonts-20100612-1.fc14.src.rpm

VDRSymbols is a font for use with VDR plugins and patches.

Comment 1 Mario Blättermann 2011-04-27 14:47:08 UTC
$ rpmlint -v *
vdrsymbol-fonts.src: I: checking
vdrsymbol-fonts.src: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
vdrsymbol-fonts.src: I: checking-url http://andreas.vdr-developer.org/fonts/ (timeout 10 seconds)
vdrsymbol-fonts.src: I: checking-url http://andreas.vdr-developer.org/fonts/download/vdrsymbols-ttf-20100612.tgz (timeout 10 seconds)
vdrsymbol-fonts.noarch: I: checking
vdrsymbol-fonts.noarch: W: spelling-error %description -l en_US plugins -> plug ins, plug-ins, plugging
vdrsymbol-fonts.noarch: I: checking-url http://andreas.vdr-developer.org/fonts/ (timeout 10 seconds)
vdrsymbol-fonts.spec: I: checking-url http://andreas.vdr-developer.org/fonts/download/vdrsymbols-ttf-20100612.tgz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Ignoreable spelling errors only.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3029862


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    Bitstream Vera and Public Domain

[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    dad98a1cdb2b7deb3301ecf46181d258  vdrsymbols-ttf-20100612.tgz
    dad98a1cdb2b7deb3301ecf46181d258  vdrsymbols-ttf-20100612.tgz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[.] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[.] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

-------------------------------------------------------------

PACKAGE APPROVED

-------------------------------------------------------------

Comment 2 Ville Skyttä 2011-04-27 17:39:32 UTC
Thanks for the review!

New Package SCM Request
=======================
Package Name: vdrsymbol-fonts
Short Description: Fonts for use with VDR plugins and patches
Owners: scop
Branches: f15
InitialCC:

Comment 3 Dennis Gilmore 2011-04-28 16:32:07 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-04-28 17:31:15 UTC
vdrsymbol-fonts-20100612-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/vdrsymbol-fonts-20100612-1.fc15

Comment 5 Fedora Update System 2011-04-28 19:02:13 UTC
vdrsymbol-fonts-20100612-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 6 Fedora Update System 2011-05-03 04:50:19 UTC
vdrsymbol-fonts-20100612-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.